

<div class="">
    <div class="col-sm-12 titulo text-center">
        Ventas Realizadas
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>
<br>

<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">
        <div class="row">

            <div class="col-sm-6">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar"
                        for="valIdentificacion">Buscar</label>
                    <input type="text" id="valIdentificacion"
                        name="valIdentificacion"
                        [(ngModel)]="identificacionB"
                        placeholder="Buscar por # Identificación"
                        class="form-control"
                        
                        />
                </div>
            </div>
            <div class="col-sm-6">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="valOrden">Buscar</label>
                    <input type="text" id="valOrden" name="valOrden"
                        [(ngModel)]="ordenB"
                        placeholder="Buscar por # Orden"
                        class="form-control"
                        
                        />
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="valOrden">F.
                        Inicio</label>
                    <div class="input-group" style="width: 70%;">
                        <input readonly class="form-control"
                            placeholder="yyyy-mm-dd"
                            name="finicio" id="finicio" [(ngModel)]="vaFInicio"
                            ngbDatepicker #d="ngbDatepicker">
                        <div class="input-group-append">
                            <button class="btn botonC"
                                (click)="d.toggle()" type="button">
                                <i class="fa fa-calendar"
                                    aria-hidden="true"></i>
                            </button>

                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="valOrden">F.
                        Final</label>
                    <div class="input-group" style="width: 75%;">
                        <input readonly class="form-control"
                            placeholder="yyyy-mm-dd"
                            name="ffin" id="ffin" [(ngModel)]="vaFFin"
                            ngbDatepicker #e="ngbDatepicker">
                        <div class="input-group-append">
                            <button class="btn botonC"
                                (click)="e.toggle()" type="button">
                                <i class="fa fa-calendar"
                                    aria-hidden="true"></i>
                            </button>

                        </div>
                    </div>
                </div>
            </div>
            
        </div>

        <p style="color: red;" *ngIf="estadoFecha">{{errorFecha}}</p>
        <div class="col-sm-12">
               
            <div class="input-group mb-3">

                <label class="input-group-text colorBuscar"
                    for="estado">Estado</label>
                <select class="form-select" id="estado"
                    name="estado"
                    (change)="procesoSeleccionado($event)">
                    <option value="4">Todos</option>
                    <option value="2">Facturado</option>
                    <option value="1">Generado</option>
                    <option value="3">Cancelado</option>
                    <option value="0">En Proceso</option>
                </select>
            </div>
        </div>
        <div class="col-lg-12 col-md-12">
            <button class=" btn boton" (click)="buscarPorFechas()">
                <a>Filtrar</a>
            </button>
            <button class=" btn boton" (click)="buscarTodos()">
                <a>Mostrar Todos</a>
            </button>
            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        
        <p style="color: brown;">* Si la compra se realizó solo con Comprobante
            la
            identificación estará en blanco</p>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Fecha de Compra</td>
                    <td>Identificación</td>
                    <td># Orden</td>
                    <td>Total</td>
                    <td>Estado</td>
                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of ventasf.slice((page-1) * pageSize,page
                    * pageSize)" ng-click="selectPerson(persona)">
                    <td>{{ datos.fpago }}</td>
                    <td>{{ datos.cedula }}{{ datos.pasaporte }}</td>
                    <td>{{ datos.id }}</td>
                    <td>{{ datos.total }}</td>
                    <td>
                        <ng-container [ngSwitch]="datos.estado">
                            <p *ngSwitchCase="0">En Proceso</p>
                            <p *ngSwitchCase="1">Generado</p>
                            <p *ngSwitchCase="2">Facturado</p>
                            <p *ngSwitchCase="3">Cancelado</p>
                          </ng-container>
                    </td>




                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-eye"
                                (click)="seleccionarVentasF(datos.id,datos.subtotal,datos.iva,datos.total,datos.cedula,datos.pasaporte,datos.cliente,datos.telefono,datos.estado)"
                                aria-hidden="true"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="ventasf.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 ">
        <div class="card  " style="border-radius: 0%; margin-right: 10px;">
            <div id="">
            <div class="card-header titulo text-white d-flex
            justify-content-between align-items-center">
                Detalle de la factura
            </div>
            <div class="card-body">
                <div *ngIf="!compras">
                    <h5 style="color: #735C15;">No ha seleccionado una Factura</h5>
                </div>

                <div *ngIf="compras">
                    <div style="text-align: left;">
                        <p>Cliente: {{vaCliente}}<br>Identi.:
                            {{vaCedula}}{{vaPasaporte}}<br>Teléfono:
                            {{vaTelefono}}<br></p>
                    </div>
                    <h5 style="color: #735C15;">Detalle</h5>
                    <table class="table table-striped">
                        <thead style="background-color: #735C15;" >
                            <tr>
                                <td style="font-size: 13px; color: white;">Nombre</td>
                                <td style="font-size: 13px; color: white;">Cantidad</td>
                                <td style="font-size: 13px; color: white;">Precio</td>
                                <td style="font-size: 13px; color: white;">SubTotal</td>
                            </tr>
                        </thead>
                        <tbody>
                            <ng-container *ngFor="let datos of ventasd; let i = index">
                                <tr [ngClass]="{'table-row-color': i % 2 == 0, 'table-row-alternate': i % 2 != 0}" style="vertical-align: top;">
                                <td>{{ datos.nombreProducto }}</td>
                                <td>{{ datos.cantidad }}</td>
                                <td>{{ datos.precio }}</td>
                                <td>{{ datos.total }}</td>

                            </tr>
                        </ng-container>
                        </tbody>
                    </table>
                    <div class="row">
                        <div *ngFor="let dato of listaIVA" class="col-md-12">
                            <div class="row">
                                <div class="col-md-9 texto-derecha">{{ dato.proceso }} {{ dato.iva }} :</div>
                                <div class="col-md-3">{{ dato.valor }}</div>
                            </div>
                            
                          </div>
                        

                    </div>
                    <br>
                   <div>
                    <button type="submit" class="btn btn-warning "
                    (click)="actualizar()"
                    [hidden]="estFactura == 0 || estFactura == 2 || estFactura == 3">Registrar Pago</button>
                   </div>
                   <br>
                   <div>
                    <button type="submit" class="btn btn-danger "
                    (click)="actualizarC()"
                    [hidden]=" estFactura == 2 || estFactura == 3">Cancelar Pedido</button>
                   </div>
                    
                    
                    
                </div>
            </div>
        </div>
        </div>
    </div>
</div>